ranch:stop_listener(3)

NAME

ranch:stop_listener - Stop a listener

DESCRIPTION
    stop_listener(Ref :: ranch_ref())
        -> ok | {error, not_found}

Stop a listener.

The listener is stopped gracefully, first by closing the listening port, then by stopping the connection processes. These processes are stopped according to the shutdown transport option, which may be set to brutally kill all connection processes or give them some time to stop properly.

In order for the connection processes to exit gracefully, they need to trap exit signals and stop before the configured shutdown timeout. If greater control over the shutdown is required the functions ranch:suspend_listener(3) and ranch:wait_for_connections(3) can be used.

This function does not return until the listener is completely stopped.

ARGUMENTS

Ref
    The listener name.

RETURN VALUE

The atom ok is returned on success.

An error tuple is returned when the listener is not found.

EXAMPLES

Stop a listener
    ok = ranch:stop_listener(example).

SEE ALSO

ranch:start_listener(3), ranch:child_spec(3), ranch:suspend_listener(3), ranch(3)